net.corda.core.utilities

## Class NonEmptySetSerializer

- net.corda.core.utilities.NonEmptySetSerializer

-     public class NonEmptySetSerializer

  Custom serializer which understands it has to read in an item before trying to construct the set.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NonEmptySetSerializer` | `INSTANCE` Custom serializer which understands it has to read in an item before trying to construct the set.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NonEmptySet<java.lang.Object>` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.utilities.NonEmptySet> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, NonEmptySet<java.lang.Object> obj)`

- - ### Field Detail

    - #### INSTANCE

          public static NonEmptySetSerializer INSTANCE

      Custom serializer which understands it has to read in an item before trying to construct the set.

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            NonEmptySet<java.lang.Object> obj)

    - #### read

          public NonEmptySet<java.lang.Object> read(com.esotericsoftware.kryo.Kryo kryo,
                                                    com.esotericsoftware.kryo.io.Input input,
                                                    java.lang.Class<net.corda.core.utilities.NonEmptySet> type)